package com.stpos.a8pos.devicesdk.impl.nexgo.emv

/**
 * Some tags TLV tags used in the Nexgo CardReader implementation
 */
class TlvTags {
    companion object {
        const val terminalCountryCode = "9F1A"
        const val transactionCurrencyCode = "5F2A"
        const val transactionReferenceCurrencyCode = "9F3C"
        const val cryptogramInformationData = "9F27"
        const val transactionDate = "9A"
        const val applicationCryptogram = "9F26"
        const val applicationInterchangeProfile = "82"
        const val applicationTransactionCounter = "9F36"
        const val unpredictableNumber = "9F37"
        const val terminalVerificationResults = "95"
        const val transactionType = "9C"
        const val transactionAmount = "9F02"
        const val issuerApplicationData = "9F10"
        const val panSequenceNumber = "5F34"
        const val terminalType = "9F35"
        const val cvmResults = "9F34"
        const val applicationVersionNumber = "9F09"
        const val terminalCapabilities = "9F33"
        const val dedicatedFileName = "84"
    }
}